parrot (6.0.0-1) unstable; urgency=medium

  * Imported Upstream version 6.0.0
  * debian/rules: enable bigint support (Closes: #724450)
  + control: added Build-Dep on libgmp-dev
  * copyright: updated year to 2014

 -- Dominique Dumont <dod@debian.org>  Fri, 04 Apr 2014 13:58:55 +0200

parrot (5.9.0-1) unstable; urgency=low

  * New upstream release
  * Update control and *.install to new release
  * Fix ICU header detection (Closes: #724336)
  * Refresh patches
  * Remove outdated Conflicts/Replaces on parrot 1.0.0

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 24 Oct 2013 15:27:31 +0200

parrot (5.0.0-1) unstable; urgency=low

  * New upstream release
  * Drop 04_fix_hurd_ftbfs.patch (merged upstream)
  * parrot-devel.install: library/config.pir no longer installed upstream
  * debian/control: Drop deprecated DM-Upload-Allowed
  * debian/copyright: Updated copyright years to 2013

 -- Allison Randal <allison@parrot.org>  Sun, 24 Feb 2013 10:37:06 -0800

parrot (4.6.0-1) unstable; urgency=low

  * New upstream release
  * Revert "Add patch to fix ia64 ftbs (hopefully)" since it didn't work
  * Add 04_fix_hurd_ftbfs.patch to fix build on hurd-i386.
    Thanks to Svante Signell (Closes: #686266)
  * Drop 01_use_icu-config_ldflags-libsonly.patch (merged upstream)
  * Generate binaries manpages from docs/binaries/ directory
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Add myself and Dominique to Uploaders, remove Nuno and Patrick

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 16 Oct 2012 14:33:28 +0200

parrot (4.3.0-2) unstable; urgency=low

  * Team upload
  * patch build configuration code to fix ia64 ftbs (hopefully)

 -- Dominique Dumont <dod@debian.org>  Tue, 17 Jul 2012 17:03:00 +0200

parrot (4.3.0-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Drop 01_fix_alignment_issues_on_ia64_sparc_and_mipsel.patch
    (merged upstream)
  * Provide debhelper plugin
  * Remove Breaks on rakudo (no more needed)
  * Build with security hardening flags
  * Add 01_use_icu-config_ldflags-libsonly.patch to fix a FTBFS
    (Closes: #675895)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 08 Jun 2012 12:05:14 +0200

parrot (4.0.0-3) unstable; urgency=low

  * Team upload
  * Added configure flag to explicitly exclude gmp, opengl, pcre and zlib from
    build dependencies

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 23 Apr 2012 13:23:45 +0200

parrot (4.0.0-2) unstable; urgency=low

  * Team upload
  * parrot-minimal Provides parrotapi-X.Y.Z
    - parrot-devel Depends on parrotapi-X.Y.Z
  * Add 01_fix_alignment_issues_on_ia64_sparc_and_mipsel.patch to fix FTBFS
    on ia64, sparc and mipsel

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 21 Apr 2012 13:11:47 +0200

parrot (4.0.0-1) unstable; urgency=low

  [ Allison Randal ]
  * New upstream release
  * debian/patches:
    - Removed 01_fix_spelling_errors.patch, change included upstream.
  * debian/parrot.docs:
    - Removed NEWS, no longer exists upstream.
  * debian/parrot-devel.install:
    - Removed binary parrot_debugger, no longer installed upstream.
  * debian/rules
    - Removed manpage generation and installation for parrot_debugger,
      no longer installed upstream.
    - Added files to the clean list, revealed in new git packaging
      workflow: build-arch-stamp, build-indep-stamp, pbc_to_exe.1,
      parrot-nqp.1, ops2c.1.
    - Added configure flag to explicitly exclude libffi from build
      dependencies (Closes: #636944)
  * debian/control.in:
    - Bumped Standards-Version to 3.9.3.
  * debian/copyright:
    - Updated copyright format to 1.0
    - Updated copyright years to 2012
  * Dropped debian/libparrot*.symbols file (library exports private
    symbols, API/ABI not stable)

  [ Alessandro Ghedini ]
  * Enable ICU support
    - Build depend on libicu-dev
  * parrot-minimal Breaks rakudo (<< 0.1~2012.01)

 -- Allison Randal <allison@parrot.org>  Fri, 06 Apr 2012 20:59:51 +0200

parrot (3.6.0-1) unstable; urgency=low
  * New upstream release
  * debian/watch:
    - Modified regular expression to capture numbered directory name
      (patch from Dominique Dumont).
  * debian/rules:
    - Split build-arch and build-indep, resolving lintian warning.
    - Update path to pbc_disassemble for manpage generation (patch
      from Dominique Dumont).
  * debian/patches:
    - Added patch 02_fix_perl_interpreter_path.patch, resolving
      lintian warnings.
  * debian/control:
    - Added DM-Upload-Allowed field.

 -- Allison Randal <allison@parrot.org>  Sat, 30 Jul 2011 18:45:03 +0200

parrot (3.3.0-1) unstable; urgency=low
  * New upstream release (Closes: #612664)
  * debian/control.in:
    - Bumped Standards-Version to 3.9.2.
    - Removed dependency on quilt (patch from Dominique Dumont)
    - Added Homepage (patch from Alessandro Ghedini)
  * debian/rules
    - Patch from upstream explicitly sets mandir to /usr/share/man,
      to comply with Debian policy (Closes: #610994)
    - Updated locations of parrot_debugger, pbc_dump, and
      pbc_merge in new release for manpage generation (patch from
      Kyle Willmon and Dominique Dumont)
    - Removed explicit references to quilt, patch application is
      handled by dpkg-source with source package format "3.0 (quilt)"
      (patch from Dominique Dumont)
  * debian/patches:
    - Removed 04_fix_opsc_man.patch, change included upstream (patch
      from Kyle Willmon)
    - Removed 05_fix_gc_ftbfs_ia64.patch, change included
      upstream (patch from Kyle Willmon and Dominique Dumont)
    - Added patch description to 03_fix_nqp_man.patch.
    - Added typo patch 01_fix_spelling_errors.patch, caught by lintian
      (patch from Alessandro Ghedini)
  * debian/copyright:
    - Updated the format to DEP5 (patch from Dominique Dumont)
  * debian/source:
    - Added source package format "3.0 (quilt)" (patch from Dominique
      Dumont)
  * debian/README.source:
    - Removed, no longer needed with source package format "3.0 (quilt)"
      (patch from Dominique Dumont)
  * debian/parrot-devel.install:
    - Removed runtime library Protoobject.pbc, no longer exists upstream.
  * debian/parrot-doc:
    - Replaced DEPRECATED.pod with api.yaml, filename and format
      changed upstream.
  * debian/libparrot3.3.0.symbols:
    - Added *.symbols file (patch from Alessandro Ghedini)

 -- Allison Randal <allison@parrot.org>  Sun, 01 May 2011 19:18:49 +0200

parrot (2.9.1-1) unstable; urgency=low
  * New upstream release (Closes: #601704)
  * debian/rules:
    - Fix script-not-executable lintian warning.
  * debian/patches:
    - Added 05_fix_gc_ftbfs_ia64.patch, from upstream, resolve
      FTBFS on ia64 arch, missing argument to trace_mem_block
      function (Closes: #597138).

 -- Allison Randal <allison@parrot.org>  Sat, 27 Nov 2010 17:17:58 -0800

parrot (2.6.0-1) unstable; urgency=low
  * New upstream release
  * debian/parrot-devel.install.in:
    - Applied patch from Matt Kraai to install new NQP supporting
      libraries and install new Opcode generation tool ops2c and
      supporting library opsc.pbc.
  * debian/patches:
    - Added 04_fix_opsc_man.patch, added README for new ops2c
      binary.
  * debian/rules:
    - Generate manpage from the ops2c README file.

 -- Allison Randal <allison@parrot.org>  Sat, 31 Jul 2010 18:32:07 +0100

parrot (2.3.0-1) unstable; urgency=low
  * New upstream release
  * debian/patches:
    - Removed 01_fix_doc_install.patch, change included upstream.
    - Removed 02_fix_man_whatis.patch, change included upstream.
  * control.in
    - Removed package dependency on libgdbm-dev, no longer used.

 -- Allison Randal <allison@parrot.org>  Tue, 27 Apr 2010 18:03:12 +0100

parrot (2.0.0-1) unstable; urgency=low
  * New upstream release
  * parrot-devel.install.in
    - Install parrot-nqp binary and supporting library.
  * debian/patches:
    - Added 01_fix_doc_install.patch, from upstream, missing DESTDIR
      flag to new 'install-doc' target needed for package build.
    - Added 02_fix_man_whatis.patch, from upstream, resolve parsing
      errors in pbc_to_exe and parrot_debugger manpages.
    - Added 03_fix_nqp_man.patch, added manpage for new parrot-nqp
      binary.
  * debian/control.in:
    - Bumped Standards-Version to 3.8.4.
    - Added quilt as Build-Depends for patches.
  * debian/rules:
    - Changed install target from 'install-dev' to 'install', they are
      now identical.
    - Added LD_LIBRARY_PATH to 'install' target, needed for the new parrot-nqp
      binary.
    - Added quilt support for patches.
    - Generate and install manpage for parrot-nqp binary.
  * debian/README.source:
    - Added for use of quilt patch system.
  * debian/copyright:
    - Updated copyright year.
    - Added copyright notice for external nqp files in ext/.

 -- Allison Randal <allison@parrot.org>  Sun, 07 Feb 2010 14:26:29 +0000

parrot (1.4.0-1) unstable; urgency=low
  * New upstream release
  * debian/rules:
    - New upstream configuration option --disable-rpath allows packages to
      be built without rpath.
  * debian/parrot-devel.install.in
    - Install pbc_to_exe binary and supporting library.

 -- Allison Randal <allison@parrot.org>  Fri, 24 Jul 2009 23:54:07 -0700

parrot (1.0.0-1) unstable; urgency=low
  * New upstream release
  * debian/control.in:
    - Updated Description of all packages.
    - Bumped Standards-Version to 3.8.1
    - Add new packages parrot-minimal and parrot-devel
  * debian/rules:
    - Integrate Ubuntu packaging changes to automatically generate
      debian/control.
    - Re-order dh_installdeb in binary-arch to run after dh_makeshlibs and
      shlibdeps so that the library gets installed properly (patch from David
      Nusinow)
    - Move manpage generation to new packages. Rename parrot-debugger.1 to
      parrot_debugger.1 to match executable name. Generate parrot_config
      manpage from .pir source files (patch from David Nusinow)
  * parrot.install.in, parrot-doc.install.in, libparrot.install.in,
    libparrot-dev.install.in
    - Added template files, replace parrot.install, parrot-doc.install, 
      libparrot.install, and libparrot-dev.install
  * parrot-minimal.install.in, parrot-devel.install.in
    - Added template files for new packages
  * parrot-doc.docs, libparrot-dev.dirs
    - Removed
  * libparrot.postinst
    - Added so ldconfig gets called properly by dh_makeshlibs (patch from
      David Nusinow)
  * debian/copyright:
    - Changed copyright holder to Parrot Foundation, reflecting change in
      distribution.
    - Removed copyright info for files no longer in distribution.

 -- Allison Randal <allison@parrot.org>  Wed, 25 Mar 2009 00:45:40 -0500

parrot (0.9.0-1) unstable; urgency=low

  * New upstream release
  * debian/control.in:
    - Build-Depends removed optional library libicu-dev.
      Removed optional library libgmp3-dev.
    - Depends for libparrot-dev removed optional library
      libicu-dev.
  * debian/rules
    - Removed --optimize flag from configure, known problems
      on 64-bit architectures.
    - Changed 'reallyinstall' target to 'install', matching
      change in source makefile.
  * debian/parrot-doc.docs
    - Updated to sync with doc files in distribution.
  * debian/copyright:
    - Updated copyright years.

 -- Allison Randal <allison@parrot.org>  Fri, 23 Jan 2009 15:16:25 -0800

parrot (0.7.0-1) unstable; urgency=low

  * New upstream release

 -- Nuno Carvalho <mestre.smash@gmail.com>  Tue, 02 Sep 2008 13:05:31 +0100

parrot (0.6.4-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    - Added license link.
    - Updated copyright years.
    - Removed copyright info for files no longer in distribution.

 -- Nuno Carvalho <mestre.smash@gmail.com>  Sat, 16 Aug 2008 14:15:14 +0200

parrot (0.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #444707).
  * debian/control.in:
    - Build-Depends updated to libicu-dev from libicu36-dev
      (Closes: #456835).
    - Depends for libparrot-dev updated to libicu-dev from
      libicu34-dev (Closes: #431289).
    - New maintainer: Parrot Debian Maintainers
      (Closes: #444708)
    - New uploaders: Allison Randal, Nuno Carvalho,
      Patrick Michaud
    - Updated long and short package descriptions.
  * debian/rules
    - Removed install of install_config.o file, no longer in
      distribution.
  * debian/libparrot0.4.12.install
    - Deleted, replaced by debian/libparrot.install.
  * debian/parrot-doc.docs
    - Updated to sync with doc files in distribution.
    - Sorted for easier diffs between generated file lists.
  * debian/copyright:
    - Added license link.
    - Updated copyright years.
    - Removed copyright info for files no longer in distribution.

 -- Allison Randal <allison@perl.org>  Sun, 30 Dec 2007 17:21:45 +0000

parrot (0.4.13-1) unstable; urgency=low

  * New upstream release.

 -- Florian Ragwitz <rafl@debian.org>  Wed, 20 Jun 2007 22:43:49 +0200

parrot (0.4.12-1) unstable; urgency=low

  * New upstream release.

 -- Florian Ragwitz <rafl@debian.org>  Mon, 18 Jun 2007 20:08:49 +0200

parrot (0.4.6-1) unstable; urgency=low

  * New upstream release.

 -- Florian Ragwitz <rafl@debian.org>  Thu, 10 Aug 2006 04:48:00 +0200

parrot (0.4.5-1) unstable; urgency=low

  * New upstream release.
  * Use DH_COMPAT 5.
  * Bump up Standards-Version to 3.7.2 (no changes).

 -- Florian Ragwitz <rafl@debian.org>  Mon,  3 Jul 2006 16:47:52 +0200

parrot (0.4.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.7.2 (no changes).
  * Clean up Makefiles in languages/{APL,pheme,perl6,pugs}.
  * Clean up object/temp files in languages/{pugs,perl6} while running
    realclean.
  * Install src/*_config.o into /usr/lib/parrot/config/.
    + Yes, that's ugly, but I don't see any other possibility for other
      programs, like pugs, to link against parrot properly.

 -- Florian Ragwitz <rafl@debian.org>  Tue, 16 May 2006 17:17:02 +0200

parrot (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * Changed Section of parrot-doc to `docs'.

 -- Florian Ragwitz <rafl@debian.org>  Mon,  3 Apr 2006 04:25:56 +0200

parrot (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Enabled optimisation.
  * Added libreadline-dev to Build-Depends.
  * Install parrot.pc for pkg-config.
  * Removed lintian overrides. lintian now knows about parrot.
  * Properly clean src/nci_test.o.
  * Removed bc and m4 Build-Depends. They weren't really needed.

 -- Florian Ragwitz <rafl@debian.org>  Wed, 22 Feb 2006 23:40:06 +0100

parrot (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Florian Ragwitz <rafl@debian.org>  Sun,  8 Jan 2006 18:43:54 +0100

parrot (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Florian Ragwitz <rafl@debian.org>  Mon,  5 Dec 2005 16:50:40 +0100

parrot (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #297902).

 -- Florian Ragwitz <rafl@debian.org>  Mon, 31 Oct 2005 22:24:32 +0100

